/**
 * Theme Name: CarBuyingHQ - Altaimage
 * Description: Customized the free Hello Elementor theme for Altaimage
 * Author: Alta Image Web Design
 * Author URI: https://altaimage.com.au
 * Template:   hello-elementor
 * Version: 1.0.0
 */
 
 body {
 	background: #FFF !important; 
 }
 
 .position-relative {
    position: relative !important;
}
.h-100 {
    height: 100%;
}
.w-100 {
    width: 100%;
}
.star-rating {
    font-size: 22px;
}
.rating-single {
    border: 1px solid #172f5c;
    padding: 40px;
    border-radius: 30px;
}

/* Animations */

.force-visible .appear-animation,
.elementor-editor-active .appear-animation {
    opacity: 1;
}
.appear-animation {
    opacity: 0;
}

.appear-animation-visible {
    opacity: 1;
}

.block-appear-animation {
    opacity: 1;
    overflow: hidden;
    position: relative;
}

.block-appear-animation .block-appear-animation-wrapper {
    animation-duration: 1s;
    animation-duration: var(--animate-duration);
    animation-fill-mode: both;
    animation-delay: 300ms;
    opacity: 0;
}

.block-appear-animation.appear-animation-visible .block-appear-animation-wrapper {
    animation-name: fadeIn;
}

/* Transitions */
.transition-2ms {
    transition: all 0.2s ease-in-out;
}

.transition-3ms {
    transition: all 0.3s ease-in-out;
}

.transition-4ms {
    transition: all 0.4s ease-in-out;
}

.transition-5ms {
    transition: all 0.5s ease-in-out;
}

.transition-1s {
    transition: all 1s ease-in-out;
}

/* 
* Custom Animations
*/
@keyframes expandInWithBlur {
    from {
            opacity: 0;
            filter: blur(10px);
            transform: scale(0.8);
    }
    to {
            opacity: 1;
            filter: blur(0px);
            transform: scale(1);
    }
}

.expandInWithBlur {
    animation-name: expandInWithBlur;
}


.word-rotator i, .word-rotator em, .word-rotator b {
    font-style: normal;
    font-weight: inherit;
}

.word-rotator-words {
    display: inline-flex !important;
    position: relative;
    text-align: left;
}

.word-rotator-words b {
    display: inline-block;
    position: absolute;
    white-space: nowrap;
    left: 0;
    top: 0;
}

.word-rotator-words b.is-visible {
    position: relative;
}

.word-rotator-words[class*="bg-"] {
    background: var(--grey-500);
}

.word-rotator-words[class*="bg-"] b {
    color: var(--light);
    padding: 0px 8px;
    padding: 0rem 0.5rem;
}

/* rotate-1 */
.word-rotator.rotate-1 .word-rotator-words {
    perspective: 300px;
}

.word-rotator.rotate-1 b {
    opacity: 0;
    transform-origin: 50% 100%;
    transform: rotateX(180deg);
}

.word-rotator.rotate-1 b.is-visible {
    opacity: 1;
    transform: rotateX(0deg);
    animation: word-rotator-rotate-1-in 1.2s;
}

.word-rotator.rotate-1 b.is-hidden {
    transform: rotateX(180deg);
    animation: word-rotator-rotate-1-out 1.2s;
}

@keyframes word-rotator-rotate-1-in {
    0% {
        transform: rotateX(180deg);
        opacity: 0;
    }

    35% {
        transform: rotateX(120deg);
        opacity: 0;
    }

    65% {
        opacity: 0;
    }

    100% {
        transform: rotateX(360deg);
        opacity: 1;
    }
}

@keyframes word-rotator-rotate-1-out {
    0% {
        transform: rotateX(0deg);
        opacity: 1;
    }

    35% {
        transform: rotateX(-40deg);
        opacity: 1;
    }

    65% {
        opacity: 0;
    }

    100% {
        transform: rotateX(180deg);
        opacity: 0;
    }
}

/* type */
.word-rotator.type .word-rotator-words {
    vertical-align: top;
    overflow: hidden;
    position: relative;
    padding-right: 3px;
}

.word-rotator.type .word-rotator-words::after {
    content: ' ';
    position: absolute;
    right: 0;
    top: 5%;
    height: 90%;
    width: 2px;
    display: block;
    background-color: transparent;
}

.word-rotator.type .word-rotator-words.waiting::after {
    animation: 1s word-rotator-pulse step-end infinite;
}

.word-rotator.type .word-rotator-words.selected {
    background-color: var(--dark) !important;
}

.word-rotator.type .word-rotator-words.selected::after {
    visibility: hidden;
}

.word-rotator.type .word-rotator-words.selected b {
    color: var(--light) !important;
}

.word-rotator.type b {
    visibility: hidden;
}

.word-rotator.type b.is-visible {
    visibility: visible;
}

.word-rotator.type i {
    position: absolute;
    visibility: hidden;
}

.word-rotator.type i.in {
    position: relative;
    visibility: visible;
}

.word-rotator.type.type-clean-light .word-rotator-words:after {
    width: 8px;
}

.word-rotator.type.type-clean-light .word-rotator-words.waiting::after {
    animation: 500ms word-rotator-pulse-light step-end infinite;
}

.word-rotator.type.type-clean-light .word-rotator-words.selected {
    background-color: transparent !important;
}

@keyframes word-rotator-pulse {
    from, to {
        background-color: transparent;
    }

    50% {
        background-color: black;
    }
}

@keyframes word-rotator-pulse-light {
    from, to {
        background-color: transparent;
    }

    50% {
        background-color: white;
    }
}

/* rotate-2 */
.word-rotator.rotate-2 .word-rotator-words {
    perspective: 300px;
}

.word-rotator.rotate-2 i, .word-rotator.rotate-2 em {
    display: inline-block;
    backface-visibility: hidden;
}

.word-rotator.rotate-2 b {
    opacity: 0;
}

.word-rotator.rotate-2 i {
    transform-style: preserve-3d;
    transform: translateZ(-20px) rotateX(90deg);
    opacity: 0;
}

.is-visible .word-rotator.rotate-2 i {
    opacity: 1;
}

.word-rotator.rotate-2 i.in {
    animation: word-rotator-rotate-2-in .4s forwards;
}

.word-rotator.rotate-2 i.out {
    animation: word-rotator-rotate-2-out .4s forwards;
}

.word-rotator.rotate-2 em {
    transform: translateZ(20px);
}

.no-csstransitions .word-rotator.rotate-2 i {
    transform: rotateX(0deg);
    opacity: 0;
}

.no-csstransitions .word-rotator.rotate-2 i em {
    transform: scale(1);
}

.no-csstransitions .word-rotator.rotate-2 .is-visible i {
    opacity: 1;
}

@keyframes word-rotator-rotate-2-in {
    0% {
        opacity: 0;
        transform: translateZ(-20px) rotateX(90deg);
    }

    60% {
        opacity: 1;
        transform: translateZ(-20px) rotateX(-10deg);
    }

    100% {
        opacity: 1;
        transform: translateZ(-20px) rotateX(0deg);
    }
}

@keyframes word-rotator-rotate-2-out {
    0% {
        opacity: 1;
        transform: translateZ(-20px) rotateX(0);
    }

    60% {
        opacity: 0;
        transform: translateZ(-20px) rotateX(-100deg);
    }

    100% {
        opacity: 0;
        transform: translateZ(-20px) rotateX(-90deg);
    }
}

/* loading-bar */
.word-rotator.loading-bar span {
    display: inline-block;
    padding: .2em 0;
}

.word-rotator.loading-bar .word-rotator-words {
    overflow: hidden;
    vertical-align: top;
}

.word-rotator.loading-bar .word-rotator-words::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 0;
    background: var(--dark);
    z-index: 2;
    transition: width .3s -0.1s;
}

.word-rotator.loading-bar .word-rotator-words.is-loading::after {
    width: 100%;
    transition: width 3s;
}

.word-rotator.loading-bar .word-rotator-words.bg-light::after {
    background-color: var(--dark) !important;
}

.word-rotator.loading-bar .word-rotator-words[class*="bg-"]:not(.bg-light)::after {
    background-color: var(--light) !important;
}

.word-rotator.loading-bar b {
    top: .2em;
    opacity: 0;
    transition: opacity .3s;
}

.word-rotator.loading-bar b.is-visible {
    opacity: 1;
    top: 0;
}

/* slide */
.word-rotator.slide span {
    display: inline-block;
    padding: .2em 0;
}

.word-rotator.slide .word-rotator-words {
    overflow: hidden;
    vertical-align: top;
}

.word-rotator.slide b {
    opacity: 0;
    top: .2em;
}

.word-rotator.slide b.is-visible {
    top: 0;
    opacity: 1;
    animation: slide-in .6s;
}

.word-rotator.slide b.is-hidden {
    animation: slide-out .6s;
}

@keyframes slide-in {
    0% {
        opacity: 0;
        transform: translateY(-100%);
    }

    60% {
        opacity: 1;
        transform: translateY(20%);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slide-out {
    0% {
        opacity: 1;
        transform: translateY(0);
    }

    60% {
        opacity: 0;
        transform: translateY(120%);
    }

    100% {
        opacity: 0;
        transform: translateY(100%);
    }
}

/* clip */
.word-rotator.clip span {
    display: inline-block;
    padding: .2em 0;
}

.word-rotator.clip .word-rotator-words {
    overflow: hidden;
    vertical-align: top;
}

.word-rotator.clip .word-rotator-words::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 2px;
    height: 100%;
    background-color: var(--dark);
}

.word-rotator.clip b {
    opacity: 0;
}

.word-rotator.clip b.is-visible {
    opacity: 1;
}

/* zoom */
.word-rotator.zoom .word-rotator-words {
    perspective: 300px;
}

.word-rotator.zoom b {
    opacity: 0;
}

.word-rotator.zoom b.is-visible {
    opacity: 1;
    animation: zoom-in .8s;
}

.word-rotator.zoom b.is-hidden {
    animation: zoom-out .8s;
}

@keyframes zoom-in {
    0% {
        opacity: 0;
        transform: translateZ(100px);
    }

    100% {
        opacity: 1;
        transform: translateZ(0);
    }
}

@keyframes zoom-out {
    0% {
        opacity: 1;
        transform: translateZ(0);
    }

    100% {
        opacity: 0;
        transform: translateZ(-100px);
    }
}

.word-rotator.rotate-3 .word-rotator-words {
    perspective: 300px;
}

.word-rotator.rotate-3 b {
    opacity: 0;
}

.word-rotator.rotate-3 i {
    display: inline-block;
    transform: rotateY(180deg);
    backface-visibility: hidden;
}

.is-visible .word-rotator.rotate-3 i {
    transform: rotateY(0deg);
}

.word-rotator.rotate-3 i.in {
    animation: word-rotator-rotate-3-in .6s forwards;
}

.word-rotator.rotate-3 i.out {
    animation: word-rotator-rotate-3-out .6s forwards;
}

.no-csstransitions .word-rotator.rotate-3 i {
    transform: rotateY(0deg);
    opacity: 0;
}

.no-csstransitions .word-rotator.rotate-3 .is-visible i {
    opacity: 1;
}

@keyframes word-rotator-rotate-3-in {
    0% {
        transform: rotateY(180deg);
    }

    100% {
        transform: rotateY(0deg);
    }
}

@keyframes word-rotator-rotate-3-out {
    0% {
        transform: rotateY(0);
    }

    100% {
        transform: rotateY(-180deg);
    }
}

/* scale */
.word-rotator.scale b {
    opacity: 0;
}

.word-rotator.scale i {
    display: inline-block;
    opacity: 0;
    transform: scale(0);
}

.is-visible .word-rotator.scale i {
    opacity: 1;
}

.word-rotator.scale i.in {
    animation: scale-up .6s forwards;
}

.word-rotator.scale i.out {
    animation: scale-down .6s forwards;
}

.no-csstransitions .word-rotator.scale i {
    transform: scale(1);
    opacity: 0;
}

.no-csstransitions .word-rotator.scale .is-visible i {
    opacity: 1;
}

@keyframes scale-up {
    0% {
        transform: scale(0);
        opacity: 0;
    }

    60% {
        transform: scale(1.2);
        opacity: 1;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes scale-down {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    60% {
        transform: scale(0);
        opacity: 0;
    }
}

/* push */
.word-rotator.push b {
    opacity: 0;
}

.word-rotator.push b.is-visible {
    opacity: 1;
    animation: push-in .6s;
}

.word-rotator.push b.is-hidden {
    animation: push-out .6s;
}

@keyframes push-in {
    0% {
        opacity: 0;
        transform: translateX(-100%);
    }

    60% {
        opacity: 1;
        transform: translateX(10%);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes push-out {
    0% {
        opacity: 1;
        transform: translateX(0);
    }

    60% {
        opacity: 0;
        transform: translateX(110%);
    }

    100% {
        opacity: 0;
        transform: translateX(100%);
    }
}

/* Word Rotator - Skin */
.word-rotator.loading-bar-primary .word-rotator-words::after {
    background-color: var(--primary);
}

.word-rotator.loading-bar-secondary .word-rotator-words::after {
    background-color: var(--secondary);
}

.word-rotator.loading-bar-tertiary .word-rotator-words::after {
    background-color: var(--tertiary);
}

.word-rotator.loading-bar-quaternary .word-rotator-words::after {
    background-color: var(--quaternary);
}

.word-rotator.loading-bar-dark .word-rotator-words::after {
    background-color: var(--dark);
}

.word-rotator.loading-bar-light .word-rotator-words::after {
    background-color: var(--light);
}

.custom-accordion button {
    width: 100%;
    border: 0px;
    color: #000;
    font-size: 18px;
    font-weight: 600;
    box-shadow: none;
    border-radius: 0px !important;
    padding: 24px 20px;
    text-align: left;
    color: #000;
    background-color: #fff;
}
.custom-accordion .accordion-button {
    display: flex;
    text-wrap: auto;
}
.custom-accordion span.accordion-icon i.fa-solid {
    display: none;
}
/*.custom-accordion span.accordion-icon i.fa-solid.fa-plus {
    display: inline-block;
}
.custom-accordion .accordion-button:not(.collapsed) span.accordion-icon i.fa-solid.fa-minus {
    display: inline-block;
}
.custom-accordion .accordion-button:not(.collapsed) span.accordion-icon i.fa-solid.fa-plus {
    display: none;
}   */
.accordion-body {
    padding-top: 0px;
}
.custom-accordion .accordion-body,
.custom-accordion .accordion-body p {
    color: #000;
}
.custom-accordion .accordion-button:not(.collapsed) {
    background-color: #fff;
    color: #000;
    border-bottom: 0px;
    box-shadow: none;
}
.custom-accordion h2.accordion-header {
    margin: 0px;
}
.custom-accordion .accordion-item {
    border-bottom: 1px solid #cdcdcd !important;
    margin: 10px 0px;
    background-color: #fff;
    border-radius: 0px;
    overflow: hidden;
}

.custom-accordion.accordion {
    border: 0px;
}
.custom-accordion button {
    color: #cdcdcd;
}
.custom-accordion button:hover,
.custom-accordion button:focus,
.custom-accordion button:active {
    background-color: #fff;
    box-shadow: none;
    color: #cdcdcd;
}
.ywraq-form-table-wrapper td.product-thumbnail img {
    width: 60px;
}
.woocommerce .ywraq-form-table-wrapper table.shop_table th {
    font-weight: 500;
}
body [type=button], body [type=submit], body button, body a {
    color: #000;
}
body [type=button], body [type=submit], body button {
    border-color: #000;
}
body [type=button]:focus,
body [type=button]:hover,
body [type=submit]:focus,
body [type=submit]:hover,
body button:focus,
body button:hover {
    color: #fff;
    background-color: #000;
    text-decoration: none
}
.woocommerce.single-product .product .yith-ywraq-add-to-quote {
    margin-top: 0px;
}

.woocommerce.single-product .product .quantity input {
    border-radius: 15px;
    margin-right: 10px !important;
}
.single-product table td, .single-product table th {
    border: 0px;
    padding: 20px;
}
.single-product table {
    border: 1px solid #cdcdcd;
    border-radius: 20px;
    overflow: hidden;
}
.single-product table tr.odd {
    background-color: #fcfcfc;
}
.single-product table tr.even {
    background-color: #f9f7f7;
}
.single-product .product_additional_info h4 {
    color: #80c826;
}
.single-product .elementor-widget-theme-post-content strong {
    font-weight: 500;
    font-size: 20px;
    display: inline-block;
    padding-bottom: 10px;
}
.yith-ywraq-add-button.show {
    display: flex !important;
    align-items: center;
}
.yith-ywraq-add-button.show a.button {
    margin-right: 10px;
}
.wt-related-products .wt-crp-heading, 
.wt-related-products span.price,
.wt-related-products span.onsale{
    display: none !important;
}

.p-absolute {
    position: absolute;
    z-index: 10;
}

.circles-color-grey .moving-circles .rounded-circle,
.circles-color-grey .moving-circles .rounded-circle.bg-custom-color-secondary {
    background-color: #a9a9a9;
}
.circles-color-primary .moving-circles .rounded-circle,
.circles-color-primary .moving-circles .rounded-circle.bg-custom-color-secondary {
    background-color: #80c826;
}
.circles-color-white .moving-circles .rounded-circle,
.circles-color-white .moving-circles .rounded-circle.bg-custom-color-secondary {
    background-color: #fff;
}
.moving-circles .rounded-circle {
    background-color: #80c826;
    opacity: 0.5;
}
.moving-circles .rounded-circle {
    border-radius: 50%;
}

.moving-circles .particle {
    opacity: 0.7;
}
.moving-circles .bg-custom-color-secondary {
    background-color: #e5e5e5;
}
.accordion-button::after {
    flex-shrink: 0;
    width: 1.25rem;
    height: 1.25rem;
    margin-left: auto;
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23212529' viewBox='0 0 16 16'%3E%3Cpath d='M8 1a.5.5 0 0 1 .5.5v6.5H15a.5.5 0 0 1 0 1H8.5V15a.5.5 0 0 1-1 0V9.5H1a.5.5 0 0 1 0-1h6.5V1.5A.5.5 0 0 1 8 1z'/%3E%3C/svg%3E"); /* Plus icon */
    background-repeat: no-repeat;
    background-size: 1.25rem;
    transition: transform 0.2s ease-in-out;
}

.accordion-button[aria-expanded="true"]::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23212529' viewBox='0 0 16 16'%3E%3Cpath d='M1 8a.5.5 0 0 1 .5-.5h13a.5.5 0 0 1 0 1h-13A.5.5 0 0 1 1 8z'/%3E%3C/svg%3E"); /* Minus icon */
}

.accordion-button.collapsed:hover::after,
.accordion-button.collapsed:focus::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='white' viewBox='0 0 16 16'%3E%3Cpath d='M8 1a.5.5 0 0 1 .5.5v6.5H15a.5.5 0 0 1 0 1H8.5V15a.5.5 0 0 1-1 0V9.5H1a.5.5 0 0 1 0-1h6.5V1.5A.5.5 0 0 1 8 1z'/%3E%3C/svg%3E");
}
.accordion-button.collapsed::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23212529' viewBox='0 0 16 16'%3E%3Cpath d='M8 1a.5.5 0 0 1 .5.5v6.5H15a.5.5 0 0 1 0 1H8.5V15a.5.5 0 0 1-1 0V9.5H1a.5.5 0 0 1 0-1h6.5V1.5A.5.5 0 0 1 8 1z'/%3E%3C/svg%3E");
}

.faq-transparent .custom-accordion .accordion-item,
.faq-transparent .custom-accordion .accordion-item .accordion-button {
    background-color: transparent;
    color: #000;
}
.faq-transparent .custom-accordion .accordion-item .accordion-button.collapsed::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23212529' viewBox='0 0 16 16'%3E%3Cpath d='M8 1a.5.5 0 0 1 .5.5v6.5H15a.5.5 0 0 1 0 1H8.5V15a.5.5 0 0 1-1 0V9.5H1a.5.5 0 0 1 0-1h6.5V1.5A.5.5 0 0 1 8 1z'/%3E%3C/svg%3E"); /* Plus icon */
.faq-transparent .custom-accordion .accordion-item .accordion-button::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23212529' viewBox='0 0 16 16'%3E%3Cpath d='M1 8a.5.5 0 0 1 .5-.5h13a.5.5 0 0 1 0 1h-13A.5.5 0 0 1 1 8z'/%3E%3C/svg%3E"); /* Minus icon */
}
.faq-transparent .custom-accordion .accordion-item .accordion-button:hover {
    color: #000;
}